Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fontbox.afm
Class CharMetric

    java.lang.Object
      org.fontbox.afm.CharMetric

public class CharMetric
extends Object

This class represents a single character metric.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@benlitchfield.com)

Constructor Summary
`CharMetric()`

Method Summary
`void` | `addLigature(Ligature ligature)` This will add an entry to the list of ligatures.
`BoundingBox` | `getBoundingBox()` Getter for property boundingBox.
`int` | `getCharacterCode()` Getter for property characterCode.
`List` | `getLigatures()` Getter for property ligatures.
`String` | `getName()` Getter for property name.
`float[]` | `getVv()` Getter for property vv.
`float[]` | `getW()` Getter for property w.
`float[]` | `getW0()` Getter for property w0.
`float` | `getW0x()` Getter for property w0x.
`float` | `getW0y()` Getter for property w0y.
`float[]` | `getW1()` Getter for property w1.
`float` | `getW1x()` Getter for property w1x.
`float` | `getW1y()` Getter for property w1y.
`float` | `getWx()` Getter for property wx.
`float` | `getWy()` Getter for property wy.
`void` | `setBoundingBox(BoundingBox bBox)` Setter for property boundingBox.
`void` | `setCharacterCode(int cCode)` Setter for property characterCode.
`void` | `setLigatures(List lig)` Setter for property ligatures.
`void` | `setName(String n)` Setter for property name.
`void` | `setVv(float[] vvValue)` Setter for property vv.
`void` | `setW(float[] wValue)` Setter for property w.
`void` | `setW0(float[] w0Value)` Setter for property w0.
`void` | `setW0x(float w0xValue)` Setter for property w0x.
`void` | `setW0y(float w0yValue)` Setter for property w0y.
`void` | `setW1(float[] w1Value)` Setter for property w1.
`void` | `setW1x(float w1xValue)` Setter for property w1x.
`void` | `setW1y(float w1yValue)` Setter for property w1y.
`void` | `setWx(float wxValue)` Setter for property wx.
`void` | `setWy(float wyValue)` Setter for property wy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharMetric

    public CharMetric()

Method Detail

### getBoundingBox

    public BoundingBox getBoundingBox()

  Getter for property boundingBox.

  Returns:
    Value of property boundingBox.

### setBoundingBox

    public void setBoundingBox(BoundingBox bBox)

  Setter for property boundingBox.

  Parameters:
    `bBox` - New value of property boundingBox.

### getCharacterCode

    public int getCharacterCode()

  Getter for property characterCode.

  Returns:
    Value of property characterCode.

### setCharacterCode

    public void setCharacterCode(int cCode)

  Setter for property characterCode.

  Parameters:
    `cCode` - New value of property characterCode.

### addLigature

    public void addLigature(Ligature ligature)

  This will add an entry to the list of ligatures.

  Parameters:
    `ligature` - The ligature to add.

### getLigatures

    public List getLigatures()

  Getter for property ligatures.

  Returns:
    Value of property ligatures.

### setLigatures

    public void setLigatures(List lig)

  Setter for property ligatures.

  Parameters:
    `lig` - New value of property ligatures.

### getName

    public String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(String n)

  Setter for property name.

  Parameters:
    `n` - New value of property name.

### getVv

    public float[] getVv()

  Getter for property vv.

  Returns:
    Value of property vv.

### setVv

    public void setVv(float[] vvValue)

  Setter for property vv.

  Parameters:
    `vvValue` - New value of property vv.

### getW

    public float[] getW()

  Getter for property w.

  Returns:
    Value of property w.

### setW

    public void setW(float[] wValue)

  Setter for property w.

  Parameters:
    `wValue` - New value of property w.

### getW0

    public float[] getW0()

  Getter for property w0.

  Returns:
    Value of property w0.

### setW0

    public void setW0(float[] w0Value)

  Setter for property w0.

  Parameters:
    `w0Value` - New value of property w0.

### getW0x

    public float getW0x()

  Getter for property w0x.

  Returns:
    Value of property w0x.

### setW0x

    public void setW0x(float w0xValue)

  Setter for property w0x.

  Parameters:
    `w0xValue` - New value of property w0x.

### getW0y

    public float getW0y()

  Getter for property w0y.

  Returns:
    Value of property w0y.

### setW0y

    public void setW0y(float w0yValue)

  Setter for property w0y.

  Parameters:
    `w0yValue` - New value of property w0y.

### getW1

    public float[] getW1()

  Getter for property w1.

  Returns:
    Value of property w1.

### setW1

    public void setW1(float[] w1Value)

  Setter for property w1.

  Parameters:
    `w1Value` - New value of property w1.

### getW1x

    public float getW1x()

  Getter for property w1x.

  Returns:
    Value of property w1x.

### setW1x

    public void setW1x(float w1xValue)

  Setter for property w1x.

  Parameters:
    `w1xValue` - New value of property w1x.

### getW1y

    public float getW1y()

  Getter for property w1y.

  Returns:
    Value of property w1y.

### setW1y

    public void setW1y(float w1yValue)

  Setter for property w1y.

  Parameters:
    `w1yValue` - New value of property w1y.

### getWx

    public float getWx()

  Getter for property wx.

  Returns:
    Value of property wx.

### setWx

    public void setWx(float wxValue)

  Setter for property wx.

  Parameters:
    `wxValue` - New value of property wx.

### getWy

    public float getWy()

  Getter for property wy.

  Returns:
    Value of property wy.

### setWy

    public void setWy(float wyValue)

  Setter for property wy.

  Parameters:
    `wyValue` - New value of property wy.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD